> For the complete documentation index, see [llms.txt](https://docs.autoenhance.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autoenhance.ai/images/managing-images/retrieveing.md).

# Retrieveing

This API endpoint allows you to retrieve a image. To retrieve an image, you must provide the `image_id`.

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const imageId = "ID_OF_YOUR_IMAGE";

const getImage = async (imageId) => {
    const getImageResponse = await fetch(
      `https://api.autoenhance.ai/v3/images/${imageId}`,
      { method: "GET" }
    );

    const image = await getOrderResponse.json();
}
```

{% endtab %}

{% tab title="Python" %}

```python
image_id = "ID_OF_YOUR_IMAGE";

def get_image(image_id):
    url = f"https://api.autoenhance.ai/v3/images/{image_id}"
    
    response = requests.get(url)
    response_data = response.json()
    
    return response_data
```

{% endtab %}

{% tab title="PHP" %}

```php
$image_id = "ID_OF_YOUR_IMAGE";

function get_image($image_id) {
    $url = "https://api.autoenhance.ai/v3/images/$image_id";

    $options = array(
        'http' => array(
            'method'  => 'GET',
        ),
    );

    $context  = stream_context_create($options);
    $result = file_get_contents($url, false, $context);

    if ($result === FALSE) {
        return 'Error getting image';
    }

    $image = json_decode($result, true);
   
    return $image;
}

```

{% endtab %}

{% tab title="cURL" %}

```
curl -X GET \
  https://api.autoenhance.ai/v3/images/ID_OF_YOUR_IMAGE \
  -H 'Content-Type: application/json'
```

{% endtab %}
{% endtabs %}

The response after successfully fetching an image will contain all the details of your image.

### Specification

{% openapi src="<https://api.autoenhance.ai/docs/openapi.spec>" path="/v3/images/{id}" method="get" %}
<https://api.autoenhance.ai/docs/openapi.spec>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.autoenhance.ai/images/managing-images/retrieveing.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
